Perform decline action for one or more Tenders
post
/custom-actions/decline/tenders/
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Nested Schema : actionRequest
Type:
Show Source
object-
pks: array
pks
Object primary keys that supports one or more multi-part (compound) keys
-
reasonCodeGid: string
A code describing the reason for the action.
-
responsiblePartyGid: string
Describes the person or people that will be affected by the action.
-
statusCodeGid: string
A code associated with the action to be performed.
Nested Schema : type
Type:
Show Source
object-
declineReasonCode: string
declineReasonCode
-
isRetender: boolean
Is retender
Nested Schema : pks
Type:
arrayObject primary keys that supports one or more multi-part (compound) keys
Show Source
Response
Supported Media Types
- application/json
200 Response
Success! A successful POST method returns a 200 status code.
Nested Schema : declineResponse-allOf[1]
Type:
Show Source
object-
items: array
items
Decline response for tender.
Nested Schema : declineResultItem
Type:
Show Source
object-
endTime:
endTime
End Time
-
rateOffering: string
Rate Offering
-
serviceProviderID: string
Service Provider ID
-
shipmentPk: string
Pk of the shipment
-
startTime:
startTime
Start Time
-
totalActualCost:
totalActualCost
Total Actual Cost
-
totalWeightedCost:
totalWeightedCost
Total Weighted Cost
Nested Schema : dateTimeType
Type:
Show Source
object-
timezone: string
Timezone in Olson database format
-
value: string
(date-time)
Date in ISO 8601 format
Nested Schema : currencyType
Type:
Show Source
object-
currency: string
ISO 4217 currency code
-
value: number
Numeric value that specifies a currency
400 Response
Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
401 Response
Unauthorized, the request was not successful because it lacks valid authentication credentials for the requested resource.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
403 Response
Access to the specified resource has been forbidden.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
500 Response
The server encountered something unexpected that prevented it from completing the request.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.